#include <TinyAdafruit_PCD8544.h>
#include <SoftwareSerial.h>

// RX, TX
SoftwareSerial mySerial(3, 5); 

// SCLK, DIN, D/C, CS, RST
TinyAdafruit_PCD8544 display = TinyAdafruit_PCD8544(4,0,1,2,-1);

boolean splash_up = true;

void setup()   {
  display.begin();
  display.setContrast(45);
  
  display.wrap_method = SCROLL;
  
    display.print(
      "  Tiny Serial\n"
      "  Monitor 1.0\n"
      " Tyler Bletsch\n"
      "\n"
      "  -- READY --"
    );
  display.display();
  
  mySerial.begin(9600);
}

  
int i=0;
void loop() {
  while (mySerial.available()) {
    if (splash_up) {
      display.clearDisplay();
      splash_up = false;
    }
    display.write(mySerial.read());
  }
  display.display();
  delay(50);
}


